=== added file 'NEWS'
--- NEWS	1970-01-01 00:00:00 +0000
+++ NEWS	2007-04-03 17:16:07 +0000
@@ -0,0 +1,185 @@
+0.15.2	2007-04-03
+
+ BUG FIXES
+
+  * Fix regression that prevented gannotate from being used (#97473, 
+															Vincent, Jelmer)
+
+  * Fix regression that prevented gstatus from being used (Jelmer)
+
+  * Fix status dialog size (Jelmer)
+
+ FEATURES
+
+  * Update commit-notify to use new dbus API (Robert)
+
+  * Display remote locations in commit-notify (Robert)
+
+0.15.1	2007-03-25
+
+ BUG FIXES
+ 
+  * Prevent test suite from causing default-encoding changes (Aaron)
+ 
+  * Fix testsuite when Olive was run before (Szilveszter)
+ 
+  * Fix locking issue in Olive (Szilvester, #91522)
+
+  * Don't obtain handle to networkmanager until necessary (Jelmer)
+
+  * Better behavior in annotate when unable to go back (Aaron)
+
+ FEATURES
+ 
+  * Add very simple TortoiseBzr implementation (Wouter, Jelmer)
+
+  * Add 'forward' button in gannotate (Aaron)
+
+  * Add simple GTK+ progress bars (Jelmer)
+
+  * Add gmissing command (Jelmer)
+
+  * Add simple preferences window with plugin list and global settings
+  (Jelmer)
+
+  * Add new command 'commit-notify' to listen for commits on dbus and
+  show them via pynotify. (Robert)
+
+ UI IMPROVEMENTS
+
+  * Move search fields in gannotate directly below source window (Aaron)
+
+  * Move buttons to top, tweak layout (Aaron)
+
+  * Strict commits are now a dialog, not a check box (Jelmer)
+
+0.15.0	2007-03-09
+
+BUG FIXES
+
+  * Fix gannotate interaction with dirstate (Aaron)
+
+  * Default button set on Commit dialog (#83030, Szilveszter)
+
+  * Fix branch-nick handling (Aaron)
+
+  * Defer cairo import to prevent import errors (Aaron)
+
+  * More use of lazy_imports to speed up timing (Aaron)
+
+  * Fix diff window freeze when shown from commit (Szilveszter)
+
+  * Allow to commit single files from the context menu (#54983, Szilveszter)
+
+FEATURES
+
+  * Add ability to install nautilus plugin (#75603, Szilveszter)
+
+  * Add conflicts window (Szilveszter)
+
+  * Use network manager to determine default value of "Local Commit"
+setting (Jelmer)
+
+  * Add status window (Jelmer, Szilveszter)
+
+  * Add revision browser for push and pull dialogs (Szilveszter)
+
+  * Add revert functionality to context menu (Szilveszter)
+
+INTERNAL
+
+  * Some more code converted to not use glade (Szilveszter, Jelmer)
+
+  * Move url history and preferences code to a separate class (Jelmer)
+
+  * Merge revision info code for gannotate and viz into single new widget
+(Jelmer)
+
+  * Add initial testsuite (Jelmer)
+
+0.14.0	2007-01-30
+
+  * Add revert functionality (Szilvester)
+
+  * Rewritten CommitDialog without glade (Szilvester)
+
+  * Allow to commit single files from the context menu (Fixes #54983,
+													   Szilvester)
+
+  * Warn about incompatible Bazaar versions (Jelmer)
+
+  * Fixed gbranch (#77751, Szilvester)
+
+  * Use the UI factory (Jelmer)
+
+  * Generic handling of errors (Jelmer)
+
+  * Set default drive letter (#67924, Szilvester)
+
+  * Show error if no diff available for the selected file (#76536,
+														  Szilvester)
+
+  * Handle current revision in annotate better (Aaron)
+
+  * Support scrolling based on an offset in annotate (Aaron)
+
+  * Add "Back" button in annotate (Aaron)
+
+  * Removed some unused functions (Aaron)
+
+  * Added Ctrl+G and Ctrl+F shortcuts to annotate (#73965, Vincent)
+
+  * Nicer error when pygtk not installed (Aaron)
+
+  * Show uncommitted changes in annotate (Aaron)
+
+  * Support annotate in olive (#73786, Szilvester)
+
+  * Ignored files no longer shown as unknown (#67926, Szilvester)
+
+  * Don't allow merge if there are local changes (#73770, Szilvester)
+
+  * Fix bookmark dialog (#67922, Szilvester)
+
+  * Fix remove dialog (#73766 and #73767, Szilvester)
+
+  * Several other small regression fixes (Szilvester)
+
+0.13.0	2006-12-13
+
+  * Don't show pending merge list when there are no pending merges
+    (Alexander Belchenko)
+
+  * Better error handling in gcommit (Alexander Belchenko)
+
+  * Fix desktop file compliancy to standard (Toshio Kuratomi) #75278
+
+  * Rename put into context menu (Szilvester Farkas) #73774
+
+  * Improved commit dialog (Szilvester Farkas) #73778
+
+  * Rename dialog contains original name (Szilvester Farkas) #73775
+
+  * Bookmarks can be removed (Szilvester Farkas)
+
+  * Run Olive after maximizing window (Szilvester Farkas) #70134
+
+  * Check empty commit message at commit time (vila) #73737
+
+  * Use dotted revnos in gannotate (Aaron Bentley)
+
+0.12.0	2006-11-04
+
+  * #68127: gcommit is broken
+
+  * #67934: various win32 fixes
+
+  * #67933: fix product name in setup.py
+
+  * #67930: gdiff relies on plugin name being 'gtk'
+
+  * #66937: process doesn't stop after closing commit dialog
+  
+  * #66091: commit after merge fails
+  
+  * #67927: fix non-ascii commit message

=== modified file '__init__.py'
--- __init__.py	2007-03-25 16:31:46 +0000
+++ __init__.py	2007-04-03 17:16:07 +0000
@@ -16,7 +16,7 @@
 
 import bzrlib
 
-__version__ = '0.15.1'
+__version__ = '0.15.2'
 version_info = tuple(int(n) for n in __version__.split('.'))
 
 
@@ -252,7 +252,7 @@
     aliases = ["gblame", "gpraise"]
     
     def run(self, filename, all=False, plain=False, line='1', revision=None):
-        self.open_display()
+        gtk = self.open_display()
 
         try:
             line = int(line)
@@ -349,7 +349,7 @@
 
     def run(self, path='.'):
         import os
-        self.open_display()
+        gtk = self.open_display()
         from status import StatusDialog
         (wt, wt_path) = workingtree.WorkingTree.open_containing(path)
         status = StatusDialog(wt, wt_path)
@@ -462,17 +462,13 @@
         broadcast_service = bus.get_object(
             activity.Broadcast.DBUS_NAME,
             activity.Broadcast.DBUS_PATH)
-        def catch_branch(revision_id, url):
+        def catch_branch(revision_id, urls):
+            # TODO: show all the urls, or perhaps choose the 'best'.
+            url = urls[0]
             try:
                 if isinstance(revision_id, unicode):
                     revision_id = revision_id.encode('utf8')
                 transport = get_transport(url)
-                try:
-                    transport.local_abspath('.')
-                except errors.TransportNotPossible:
-                    # dont show remote urls for now.
-                    return
-                # here we should:
                 a_dir = BzrDir.open_from_transport(transport)
                 branch = a_dir.open_branch()
                 revno = branch.revision_id_to_revno(revision_id)
@@ -484,7 +480,6 @@
                 body += '\n'
                 body += revision.message
                 body = cgi.escape(body)
-                #print repr(body)
                 nw = pynotify.Notification(summary, body)
                 nw.set_timeout(5000)
                 nw.show()

=== modified file 'setup.py'
--- setup.py	2007-03-25 16:31:46 +0000
+++ setup.py	2007-04-03 17:16:07 +0000
@@ -63,7 +63,7 @@
 
 setup(
     name = "bzr-gtk",
-    version = "0.15.1",
+    version = "0.15.2",
     maintainer = "Jelmer Vernooij",
     maintainer_email = "jelmer@samba.org",
     description = "GTK+ Frontends for various Bazaar commands",

=== modified file 'status.py'
--- status.py	2007-02-03 17:01:18 +0000
+++ status.py	2007-03-27 23:43:01 +0000
@@ -22,13 +22,12 @@
 
 import gtk
 
-class StatusDialog(gtk.MessageDialog):
+class StatusDialog(gtk.Dialog):
     """ Display Status window and perform the needed actions. """
     def __init__(self, wt, wtpath):
         """ Initialize the Status window. """
-        super(StatusDialog, self).__init__(flags=gtk.DIALOG_MODAL, buttons=gtk.BUTTONS_OK)
+        super(StatusDialog, self).__init__(flags=gtk.DIALOG_MODAL, buttons=(gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
         self.set_title("Working tree changes")
-        self.set_image(gtk.Label("Working tree status"))
         self._create()
         self.wt = wt
         self.wtpath = wtpath

